```toml
[advisory]
id = "RUSTSEC-2020-0099"
package = "aovec"
aliases = ["CVE-2020-36207", "GHSA-g489-xrw3-3v8w"]
cvss = "CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H"
date = "2020-12-10"
categories = ["memory-corruption", "thread-safety"]
keywords = ["concurrency"]

[versions]
patched = []
```

# Aovec<T> lacks bound on its Send and Sync traits allowing data races

`aovec::Aovec<T>` is a vector type that implements `Send` and `Sync` for all
types `T`.

This allows non-Send types such as `Rc` and non-Sync types such as `Cell` to
be used across thread boundaries which can trigger undefined behavior and
memory corruption.
