```toml
[advisory]
id = "RUSTSEC-2020-0129"
package = "kekbit"
date = "2020-12-18"
url = "https://github.com/motoras/kekbit/issues/34"
categories = ["memory-corruption", "thread-safety"]
aliases = ["CVE-2020-36449", "GHSA-g83m-67wh-whpw"]
cvss = "CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H"

[versions]
patched = [">= 0.3.4"]
```

# ShmWriter allows sending non-Send type across threads

Affected versions of this crate implement `Send` for `ShmWriter<H>` without requiring `H: Send`. This allows users to send `H: !Send` to other threads, which can potentially lead to data races and undefined behavior.
