```toml
[advisory]
id = "RUSTSEC-2017-0006"
package = "rmpv"
categories = ["denial-of-service"]
date = "2017-11-21"
keywords = ["memory", "dos", "msgpack", "serialization", "deserialization"]
url = "https://github.com/3Hren/msgpack-rust/issues/151"
aliases = ["GHSA-mcrf-7hf9-f6q5"]

[versions]
patched = [">= 0.4.2"]
```

# Unchecked vector pre-allocation

Affected versions of this crate pre-allocate memory on deserializing raw
buffers without checking whether there is sufficient data available.

This allows an attacker to do denial-of-service attacks by sending small
msgpack messages that allocate gigabytes of memory.
